package main

import (
	"log"
	"shandong_datapush/config"
	"shandong_datapush/service"
	"time"
)

func main() {
	log.Println("==================数据推送程序启动=================")
	config.DBConnection()
	service.WkkBasicDataProcess()
	service.KswStaticDataProcess()
	service.GtStaticDataProcess()
	service.JrxStaticDataProcess()
	service.JylStaticDataProcess()
	service.NbwyStaticDataProcess()
}

/*
	静态数据推送
 */
func staticDataPush() {
	for range time.Tick(time.Second * 10){
		log.Println("=======================================staticDataPush")
	}
}

/*
	实时数据推送
 */
func realTimeDataPush() {
	for range time.Tick(time.Second * 20){
		log.Println("=======================================realTimeDataPush")
	}
}